import './ActionButton.scss'

type Variant = 'connect' | 'disconnect' | 'search'

interface Props {
  variant: Variant
  onClick: () => void
  children: React.ReactNode
}

export function ActionButton({ variant, onClick, children }: Readonly<Props>) {
  return (
    <button className={`action-btn action-btn--${variant}`} onClick={onClick}>
      {children}
    </button>
  )
}
